Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class FtpFileTransferNamesAndCommands

    java.lang.Object
      com.stc.eways.batchext.FtpFileTransferNamesAndCommands

All Implemented Interfaces:
  TransferNamesAndCommands, java.io.Serializable

Direct Known Subclasses:
  FtpFileTransferNamesAndCommandsGet, FtpFileTransferNamesAndCommandsPut

    public abstract class FtpFileTransferNamesAndCommands

extends java.lang.Object
implements TransferNamesAndCommands

This class is used to access the resolved transfer names and transfer commands for Batch FTP operations

Version:
  cvs revision: $Revision: 1.7 $ Last Modified: $Date: 2008/02/25 16:56:24 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`protected boolean` | `append`
`protected boolean` | `cleanupOnPutFailure`
`protected FtpETD` | `etd`
`static java.lang.String` | `LOGGER_NAME`
`protected java.lang.String` | `postDirectoryName`
`protected java.lang.String` | `postFileName`
`protected java.lang.String` | `postTransferCommand`
`protected java.lang.String` | `preDirectoryName`
`protected java.lang.String` | `preFileName`
`protected java.lang.String` | `preTransferCommand`
`protected java.lang.String` | `sequencePersistDir`
`protected java.lang.String` | `targetDirectoryName`
`protected java.lang.String` | `targetFileName`

Constructor Summary
`FtpFileTransferNamesAndCommands(FtpETD etd)` Constructs a new FtpFileTransferNamesAndCommands object.
`FtpFileTransferNamesAndCommands(FtpFileTransferNamesAndCommands original, FtpFileConfiguration config)` copy constructor since we don't have setters for some of the attributes that needs to be changed dynamically;

Method Summary
`boolean` | `getAppend()` Checks on whether the outbound transfer is "Append" mode.
`boolean` | `getCleanupOnPutFailure()` Checks on whether the cleanup is needed on transfer put failure.
`java.lang.String` | `getPostDirectoryName()` Gets the resolved post directory name.
`java.lang.String` | `getPostFileName()` Gets the resolved post file name.
`java.lang.String` | `getPostTransferCommand()` Gets Post Transfer Command.
`java.lang.String` | `getPreDirectoryName()` Gets the resolved pre directory name.
`java.lang.String` | `getPreFileName()` Gets the resolved pre file name.
`java.lang.String` | `getPreTransferCommand()` Gets the Pre Transfer Command.
`java.lang.String` | `getTargetDirectoryName()` Gets the resolved target directory name.
`java.lang.String` | `getTargetFileName()` Gets the resolved target file name.
`void` | `resolvePostTransfer()` Resolves Post Transfer Names and Command.
`void` | `resolvePreTransfer()` Resolves Pre Transfer Names and Command.
`void` | `resolveTargetLocation()` Resolves Target Location Names.
`void` | `setCleanupOnPutFailure(boolean cleanup)` Sets on whether the cleanup is needed on transfer put failure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGGER_NAME

    public static final java.lang.String LOGGER_NAME

See Also:
  Constant Field Values

### sequencePersistDir

    protected transient java.lang.String sequencePersistDir

### etd

    protected transient FtpETD etd

### cleanupOnPutFailure

    protected boolean cleanupOnPutFailure

### append

    protected boolean append

### targetDirectoryName

    protected java.lang.String targetDirectoryName

### targetFileName

    protected java.lang.String targetFileName

### preTransferCommand

    protected java.lang.String preTransferCommand

### preDirectoryName

    protected java.lang.String preDirectoryName

### preFileName

    protected java.lang.String preFileName

### postTransferCommand

    protected java.lang.String postTransferCommand

### postDirectoryName

    protected java.lang.String postDirectoryName

### postFileName

    protected java.lang.String postFileName

Constructor Detail

### FtpFileTransferNamesAndCommands

    public FtpFileTransferNamesAndCommands(FtpETD etd)

  Constructs a new FtpFileTransferNamesAndCommands object.

  Parameters:
    `etd` - FtpETD object.

### FtpFileTransferNamesAndCommands

    public FtpFileTransferNamesAndCommands(FtpFileTransferNamesAndCommands original,
                                           FtpFileConfiguration config)

  copy constructor since we don't have setters for some of the attributes that needs to be changed dynamically;

  Parameters:
    `` -

Method Detail

### getTargetDirectoryName

    public java.lang.String getTargetDirectoryName()
                                            throws FtpFileException

  Gets the resolved target directory name. This name is resolved from 'Target Directory Name' pattern. It represents the original working directory name right before the 'Pre Transfer Command'.

  Specified by:
    `getTargetDirectoryName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Target Directory Name.
  Throws:
    `FtpFileException` - If some error occurs.

### getTargetFileName

    public java.lang.String getTargetFileName()
                                       throws FtpFileException

  Gets the resolved target file name. This name is resolved from 'Target File Name' pattern. It represents the original working file name right before the 'Pre Transfer Command'.

  Specified by:
    `getTargetFileName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Target File Name.
  Throws:
    `FtpFileException` - If some error occurs.

### getPreTransferCommand

    public java.lang.String getPreTransferCommand()
                                           throws FtpFileException

  Gets the Pre Transfer Command.

  Specified by:
    `getPreTransferCommand` in interface `TransferNamesAndCommands`
  Returns:
    The Pre Transfer Command.
  Throws:
    `FtpFileException` - If some error occurs.

### getPreDirectoryName

    public java.lang.String getPreDirectoryName()
                                         throws FtpFileException

  Gets the resolved pre directory name. This name is resolved from 'Pre Directory Name' pattern. It represents the working directory name right after the 'Pre Transfer Command'.

  Specified by:
    `getPreDirectoryName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Pre Directory Name.
  Throws:
    `FtpFileException` - If some error occurs.

### getPreFileName

    public java.lang.String getPreFileName()
                                    throws FtpFileException

  Gets the resolved pre file name. This name is resolved from 'Pre File Name' pattern. It represents the working file name right after the 'Pre Transfer Command'.

  Specified by:
    `getPreFileName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Pre File Name.
  Throws:
    `FtpFileException` - If some error occurs.

### getPostTransferCommand

    public java.lang.String getPostTransferCommand()
                                            throws FtpFileException

  Gets Post Transfer Command.

  Specified by:
    `getPostTransferCommand` in interface `TransferNamesAndCommands`
  Returns:
    The Post Transfer Command.
  Throws:
    `FtpFileException` - If some error occurs.

### getPostDirectoryName

    public java.lang.String getPostDirectoryName()
                                          throws FtpFileException

  Gets the resolved post directory name. This name is resolved from 'Post Directory Name' pattern. It represents the working directory name right after the 'Post Transfer Command'.

  Specified by:
    `getPostDirectoryName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Post Directory Name.
  Throws:
    `FtpFileException` - If some error occurs.

### getPostFileName

    public java.lang.String getPostFileName()
                                     throws FtpFileException

  Gets the resolved post file name. This is resolved from 'Post File Name' pattern. It represents the working file name right after the 'Post Transfer Command'.

  Specified by:
    `getPostFileName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Post File Name.
  Throws:
    `FtpFileException` - If some error occurs.

### getAppend

    public boolean getAppend()

  Checks on whether the outbound transfer is "Append" mode.

  Specified by:
    `getAppend` in interface `TransferNamesAndCommands`
  Returns:
    true or false.

### getCleanupOnPutFailure

    public boolean getCleanupOnPutFailure()

  Checks on whether the cleanup is needed on transfer put failure.

  Returns:
    true or false.

### setCleanupOnPutFailure

    public void setCleanupOnPutFailure(boolean cleanup)

  Sets on whether the cleanup is needed on transfer put failure.

  Parameters:
    `cleanup` - true or false.

### resolvePostTransfer

    public void resolvePostTransfer()
                             throws FtpFileException

  Resolves Post Transfer Names and Command.

  Specified by:
    `resolvePostTransfer` in interface `TransferNamesAndCommands`
  Throws:
    `FtpFileException` - If some error occurs.

### resolvePreTransfer

    public void resolvePreTransfer()
                            throws FtpFileException

  Resolves Pre Transfer Names and Command.

  Specified by:
    `resolvePreTransfer` in interface `TransferNamesAndCommands`
  Throws:
    `FtpFileException` - If some error occurs.

### resolveTargetLocation

    public void resolveTargetLocation()
                               throws FtpFileException

  Resolves Target Location Names.

  Specified by:
    `resolveTargetLocation` in interface `TransferNamesAndCommands`
  Throws:
    `FtpFileException` - If some error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD